#include "linear_algebra.h"

namespace irafm {

namespace math {

size_t size(const Vector &v) {
   return v.extent();
}

bool same_size(const Vector &u, const Vector &v) {
   return (size(u) == size(v));
}

Vector reflection(Vector x, Vector center) {
   return (center * 2) - x;
}

} // namespace math

} // namespace irafm

// $Log: linear_algebra.cpp,v $
// Revision 1.4  2010/03/23 14:28:19  victor
// astyle reformat
// Committed on the Free edition of March Hare Software CVSNT Server.
// Upgrade to CVS Suite for more features and support:
// http://march-hare.com/cvsnt/
//
// Revision 1.3  2009/04/07 08:43:00  victor
// Astyle reformat
// Committed on the Free edition of March Hare Software CVSNT Server.
// Upgrade to CVS Suite for more features and support:
// http://march-hare.com/cvsnt/
//
// Revision 1.2  2007/11/14 13:32:34  victor
// + vector reflection around center
//
// Revision 1.1  2007/04/05 14:14:26  Viktor
// Initial revision
//
