#ifndef solver_h
#define solver_h

#include "linear_algebra.h"

namespace irafm {

namespace math {

Vector linear_solve(const Matrix &A, const Vector &b);

Vector linear_LMS_solve(const Matrix &A, const Vector &b);

} // namespace math

} // namespace irafm

#endif // solver_h

// $Log: solver.h,v $
// Revision 1.3  2010/03/23 14:28:20  victor
// astyle reformat
// Committed on the Free edition of March Hare Software CVSNT Server.
// Upgrade to CVS Suite for more features and support:
// http://march-hare.com/cvsnt/
//
// Revision 1.2  2009/04/07 08:43:00  victor
// Astyle reformat
// Committed on the Free edition of March Hare Software CVSNT Server.
// Upgrade to CVS Suite for more features and support:
// http://march-hare.com/cvsnt/
//
// Revision 1.1  2007/04/05 14:14:27  Viktor
// Initial revision
//
