#ifndef _EA_H_
#define _EA_H_

#include "ea/algorithm.h"
#include "ea/population.h"
#include "ea/population_member.h"
#include "ea/problem.h"
#include "ea/frequency_counter.h"
#include "ea/member_generator.h"
#include "ea/simplex_generator.h"
#include "ea/de_member_generator.h"
#include "ea/worst_member_substitution.h"
#include "ea/de_algorithm.h"
#include "ea/worst_member_substitution.h"
#include "ea/competitive_member_generator.h"
#include "ea/benchmark_functions.h"
#include "ea/problem_suite.h"

#endif // _EA_H_

// $Log: ea.h,v $
// Revision 1.7  2008/12/17 12:57:28  victor
// # Changed structure of DE member generator
// Committed on the Free edition of March Hare Software CVSNT Server.
// Upgrade to CVS Suite for more features and support:
// http://march-hare.com/cvsnt/
//
// Revision 1.6  2007/11/27 15:32:46  victor
// + DER9 and DEBR18 static members of CompetitiveGenerator
//
// Revision 1.5  2007/11/22 14:49:46  victor
// + Benchmark functions
//
// Revision 1.4  2007/11/21 10:02:10  victor
// + Added several competitive member generators
//
// Revision 1.3  2007/11/21 09:37:28  victor
// + ea/de_algorithm, ea/worst_member_substitution
//
// Revision 1.2  2007/11/20 12:07:26  victor
// + best_de_generator.h, rand_de_generator.h, worst_member_substitution.h
//
// Revision 1.1  2007/11/14 13:50:53  victor
// Initial revision
//
