#include <limits>

#include "real.h"

namespace irafm {

namespace math {

const real real_min = std::numeric_limits<real>::min();
const real real_max = std::numeric_limits<real>::max();
const real real_inf = std::numeric_limits<real>::infinity();
const real real_nan = std::numeric_limits<real>::quiet_NaN();

} // namespace math

} // namespace irafm

// $Log: real.cpp,v $
// Revision 1.2  2010/03/23 14:28:19  victor
// astyle reformat
// Committed on the Free edition of March Hare Software CVSNT Server.
// Upgrade to CVS Suite for more features and support:
// http://march-hare.com/cvsnt/
//
// Revision 1.1  2007/04/05 14:14:27  Viktor
// Initial revision
//
