#ifndef real_h
#define real_h

#include "../defs.h"
#include <limits>

typedef double real;
#define INF std::numeric_limits< real >::infinity()

namespace irafm {

namespace math {

extern const real real_min;
extern const real real_max;
extern const real real_inf;
extern const real real_nan;

} // namespace math

} // namespace irafm

#endif

// $Log: real.h,v $
// Revision 1.4  2010/03/23 14:28:19  victor
// astyle reformat
// Committed on the Free edition of March Hare Software CVSNT Server.
// Upgrade to CVS Suite for more features and support:
// http://march-hare.com/cvsnt/
//
// Revision 1.3  2009/03/27 19:36:58  victor
// Satisfying linux compatibility
//
// Revision 1.2  2007/11/07 12:52:34  victor
// Merging Interval implementation from TabuCones
//
// Revision 1.1  2007/04/05 14:14:27  Viktor
// Initial revision
//
